### Method

# Ide Test set_display_name

#### Declaration

    void
    ide_test_set_display_name (
      IdeTest* self,
      const gchar* display_name
    )

#### Description

Sets the “display-name” property of the unit test.

Available since: | 3.32

Sets property | `Ide.Test:display-name`

#### Parameters

`display_name` | `const gchar*`
| The display_name of the test, or `NULL` to unset.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.